-- 基础信息
base_info = {
	group_id = 247007017
}

-- DEFS_MISCS
local GroupId = 247007017
local point_id_list = {}
local MainGroupID = 247007001
local RegionID = 17001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 17001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 320.024, y = -0.582, z = 239.997 } }
}

-- 触发器
triggers = {
	{ config_id = 1017001, name = "ENTER_REGION_17001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 17002, pos = { x = 316.090, y = -0.525, z = 247.664 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17003, pos = { x = 324.174, y = -0.527, z = 247.611 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17004, pos = { x = 320.069, y = -0.531, z = 248.555 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17005, pos = { x = 312.913, y = -0.511, z = 246.449 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 17006, pos = { x = 327.134, y = -0.518, z = 246.008 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 17007, pos = { x = 311.693, y = -0.527, z = 243.727 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 17008, pos = { x = 328.801, y = -0.522, z = 243.743 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 17009, pos = { x = 311.442, y = -0.532, z = 240.022 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 17010, pos = { x = 328.902, y = -0.524, z = 240.038 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 17011, pos = { x = 320.104, y = -0.518, z = 248.095 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 17012, pos = { x = 314.319, y = -0.507, z = 247.162 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 17013, pos = { x = 325.795, y = -0.532, z = 247.128 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 17014, pos = { x = 311.375, y = -0.524, z = 242.483 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 17015, pos = { x = 328.925, y = -0.526, z = 242.488 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 17016, pos = { x = 311.389, y = -0.530, z = 237.599 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 17017, pos = { x = 328.831, y = -0.531, z = 237.654 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 17018, pos = { x = 314.367, y = -0.532, z = 232.931 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 17019, pos = { x = 325.725, y = -0.532, z = 232.846 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 17020, pos = { x = 320.006, y = -0.532, z = 232.052 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 17021, pos = { x = 312.890, y = -0.490, z = 247.179 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 17022, pos = { x = 327.170, y = -0.515, z = 247.182 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 17023, pos = { x = 312.892, y = -0.532, z = 232.828 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 17024, pos = { x = 327.093, y = -0.532, z = 232.906 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 17025, pos = { x = 320.195, y = -0.515, z = 247.427 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 17026, pos = { x = 319.997, y = -0.532, z = 232.670 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 17027, pos = { x = 311.915, y = -0.532, z = 240.000 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 17028, pos = { x = 328.291, y = -0.529, z = 239.966 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 17029, pos = { x = 312.020, y = -0.531, z = 235.936 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 17030, pos = { x = 327.988, y = -0.523, z = 243.375 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 17031, pos = { x = 323.427, y = -0.532, z = 232.352 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 17032, pos = { x = 316.175, y = -0.507, z = 247.275 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 17033, pos = { x = 325.275, y = -0.582, z = 244.193 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 256 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 17001 },
		triggers = { "ENTER_REGION_17001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
